tapestry-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jochen Kemnade (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (TAP5-1522) Tapestry-spring does not support using Spring JavaConfig (AnnotationConfigWebApplicationContext)
Date Mon, 12 Jan 2015 08:10:43 GMT

     [ https://issues.apache.org/jira/browse/TAP5-1522?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jochen Kemnade closed TAP5-1522.
--------------------------------
    Resolution: Invalid

We assume this is no longer relevant and therefore close it.
If you still have this issue in a recent Tapestry version (such as 5.3.8 or the latest 5.4
preview release), feel free to provide the necessary information and reopen.

> Tapestry-spring does not support using Spring JavaConfig (AnnotationConfigWebApplicationContext)
> ------------------------------------------------------------------------------------------------
>
>                 Key: TAP5-1522
>                 URL: https://issues.apache.org/jira/browse/TAP5-1522
>             Project: Tapestry 5
>          Issue Type: Improvement
>          Components: tapestry-spring
>    Affects Versions: 5.2
>            Reporter: DI Florian Hackenberger
>              Labels: bulk-close-candidate
>         Attachments: java-config-support.patch
>
>
> Tapestry-spring currently requires that the context class extends TapestryApplicationContext.
In order to use JavaConfig support (without going through an intermediate spring xml file),
you would have to use AnnotationConfigWebApplicationContext as a base class and add the tapestry
features on top (like TapestryApplicationContext does). Unfortunately that's impossible, as
TapestryApplicationContext is not an interface.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message